%define module  Test-Distribution
%define name	perl-%{module}
%define version 2.00
%define release %mkrel 4

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Perform tests on all modules of a distribution 
License: 	GPL or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{module}/
Source: 	http://www.cpan.org/modules/by-module/Test/%{module}-%{version}.tar.gz
Buildrequires:	perl(Module::Build)
Buildrequires:	perl(Module::Signature)
Buildrequires:	perl(Module::CoreList)
requires:	perl(File::Find::Rule)
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile ok and checks
that they all define a $VERSION.

This module also performs a numer of test on the distribution itself. It checks
that your files match your SIGNATURE file if you have one. It checks that your
distribution isn't missing certain 'core' description files. It checks to see
you havent' missed out listing any pre-requisites in Makefile.PL.

It defines its own testing plan, so you usually don't use it in conjunction
with other Test::* modules in the same file. It's recommended that you just
create a one-line test script as shown in the SYNOPSIS above. However, there
are options...

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes.pod README
%{perl_vendorlib}/Test
%{_mandir}/*/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.00-4mdv2009.0
+ Revision: 258512
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.00-3mdv2009.0
+ Revision: 246532
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 2.00-1mdv2008.1
+ Revision: 109317
- New version 2.00

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.29

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-1mdv2008.1
+ Revision: 104456
- update to new version 1.27
- fix doc files

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-2mdv2008.0
+ Revision: 47042
- rebuild


* Fri Jun 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdv2007.0
- New version 1.26

* Tue May 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdk
- New release 1.25

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdk
- New release 1.24

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.23-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdk
- New release 1.23

* Tue Sep 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdk
- New release 1.22

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-3mdk
- don't ship empty dirs

* Sat May 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-2mdk 
- add an explicit dependency on perl-File-Find-Rule

* Wed Apr 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdk 
- first mandriva release

